Bug 50940 - (NET PCNET32) AMD 79c972 based fiber nic will not recover link when disconnected
(NET PCNET32) AMD 79c972 based fiber nic will not recover link when disconnected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-05 03:54 EDT by Bret Hughes
Modified: 2013-07-02 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
transcript of session that locks machine (7.14 KB, text/plain)
2001-08-05 05:23 EDT, Bret Hughes
no flags Details
output of lspci -vv (5.03 KB, text/plain)
2001-08-05 05:24 EDT, Bret Hughes
no flags Details

  None (edit)
Description Bret Hughes 2001-08-05 03:54:30 EDT
Description of Problem:

Allied Telesyn 2700FX NICs will not recover link after being disconnected
for any reason.  Reboot is the only thing have found that will bring the
connection back up.  As this is an AMD 79c972 based card Both anaconda and
kudzu install it using the pcnet32 driver.  

The card works fine on 2.2.16-22.

I can find no log messages anywhere that indicate where the problem is. 
Bringing the interface down and backup ising ifdown eth1 and ifup eth1 have
no effect.  The link light is lost and is not to be found again.  

If I rmmod pcnet32 and then try to bring the interface up I get an Oops.  I
will attach a listing to this bug.  The oops part may be a dup but it is
definetly not fixed in 2.4.3-12 from the updates dir.  Same thing if I try
to insmod or modprobe manually

The same thing happens whether I connect to our D-Link DES-5200 fiber
switch or to another 2700 NIC in the 2.2.16-22 box.

How Reproducible:
Always

Steps to Reproduce:
1. boot machine 
2. remove incoming fiber line (link light goes out)
3. reconnect fiber line 

Actual Results:
link light (and connection) goes out but does not come back on

Expected Results:
link light goes out but comes back on when fiber is reinstalled

Additional Information:
Comment 1 Bret Hughes 2001-08-05 05:23:24 EDT
Created attachment 26293 [details]
transcript of session that locks machine
Comment 2 Bret Hughes 2001-08-05 05:24:24 EDT
Created attachment 26294 [details]
output of lspci -vv
Comment 3 Bret Hughes 2001-08-05 05:45:33 EDT
lspci will lock the machine at any time after rmmod pcnet32. See attached
transcript
Comment 4 Bret Hughes 2001-08-07 21:56:42 EDT
If I disconnect the fiber, causing the link light to go out, reconnect it (no
link light at this point) and then try to ping the switch of course nothing
happens.  I do notice however that ifconfig reports the TX packets and an error
for each one.  The CARRIER field is also incremented by this number ( the number
of ping packets sent).

I could really use some help on this.
Comment 5 Bugzilla owner 2004-09-30 11:39:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.